# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LinearInterpolatorFVec3 Class Reference

Interpolates fvec3 values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorFVec3:

List of all members.

## Public Member Functions

| LinearInterpolatorFVec3 ()
| LinearInterpolatorFVec3 (const std::vector< fvec3 > &path)
fvec3 | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorFVec3_T * | interpolator ()
const LinearInterpolatorFVec3_T * | interpolator () const
void | setInterpolator (LinearInterpolatorFVec3_T *interpolator)

## Protected Attributes

ref< LinearInterpolatorFVec3_T > | mInterpolator

## Detailed Description

Interpolates fvec3 values using a LinearInterpolator.

Definition at line 110 of file LinearInterpolator.hpp.

## Constructor & Destructor Documentation

vl::LinearInterpolatorFVec3::LinearInterpolatorFVec3 | ( | ) | `[inline]`

Definition at line 114 of file LinearInterpolator.hpp.

vl::LinearInterpolatorFVec3::LinearInterpolatorFVec3 | ( | const std::vector< fvec3 > & | path ) | `[inline]`

Definition at line 115 of file LinearInterpolator.hpp.

## Member Function Documentation

fvec3 vl::LinearInterpolatorFVec3::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFVec3.

Definition at line 116 of file LinearInterpolator.hpp.

References vl::LinearInterpolator< T >::computePoint(), and interpolator().

LinearInterpolatorFVec3_T* vl::LinearInterpolatorFVec3::interpolator | ( | ) | `[inline]`

Definition at line 117 of file LinearInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const LinearInterpolatorFVec3_T* vl::LinearInterpolatorFVec3::interpolator | ( | ) | const`[inline]`

Definition at line 118 of file LinearInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::LinearInterpolatorFVec3::setInterpolator | ( | LinearInterpolatorFVec3_T * | interpolator ) | `[inline]`

Definition at line 119 of file LinearInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

ref<LinearInterpolatorFVec3_T> vl::LinearInterpolatorFVec3::mInterpolator`[protected]`

Definition at line 121 of file LinearInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/LinearInterpolator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:06.
Permission is granted to use this page to write and publish articles regarding Visualization Library.